deltacloud-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mfoj...@apache.org
Subject [5/6] git commit: Core: Require 'require_relative' when running in Ruby < 1.9
Date Mon, 18 Feb 2013 09:54:31 GMT
Core: Require 'require_relative' when running in Ruby < 1.9


Project: http://git-wip-us.apache.org/repos/asf/deltacloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/deltacloud/commit/b8a15f2f
Tree: http://git-wip-us.apache.org/repos/asf/deltacloud/tree/b8a15f2f
Diff: http://git-wip-us.apache.org/repos/asf/deltacloud/diff/b8a15f2f

Branch: refs/heads/master
Commit: b8a15f2f5e2ddc766428b4a50049646ebb0c37dd
Parents: 8a65653
Author: Michal Fojtik <mfojtik@redhat.com>
Authored: Mon Feb 18 09:57:07 2013 +0100
Committer: Michal fojtik <mfojtik@redhat.com>
Committed: Mon Feb 18 09:58:03 2013 +0100

----------------------------------------------------------------------
 server/lib/initialize.rb |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/deltacloud/blob/b8a15f2f/server/lib/initialize.rb
----------------------------------------------------------------------
diff --git a/server/lib/initialize.rb b/server/lib/initialize.rb
index 54060a7..ec38c0a 100644
--- a/server/lib/initialize.rb
+++ b/server/lib/initialize.rb
@@ -15,6 +15,8 @@
 
 # Deltacloud server initialization scripts:
 
+require 'require_relative' if RUBY_VERSION < '1.9'
+
 # Initialize storage for mock and CIMI database
 require_relative './initializers/mock_initialize'
 


Mime
View raw message